FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 12-01-2007, 04:13 PM
Rogelio
 
Default unstable libdg error when ./configure Perfparse on Nagios 2.x / CentOS 4.x

On 11/30/07, Garrick Staples <garrick@usc.edu> wrote:
> I just downloaded and tried it. Turns our you need the gd-progs package
> installed to get the gdlib-config script (necessary to satisfy perfparse's
> configure).

I have those installed already, but am not sure what is still hosed.

Right now, I cannot get past the configure script. I keep getting the error:

(bunch of OKs, then the following):

checking for gdlib-config... /usr/bin/gdlib-config
checking for gdMalloc in -lgd... no
configure: error: required library libgd unusable.
Install required and dependent files and rerun configure.
See config.log or FAQs for details.

Not knowing what else to do, I reinstalled (via rpm -i) the following packages

gd-2.0.28-5.4E.i386.rpm gdk-pixbuf-0.22.0-17.el4.3.i386.rpm
gdbm-1.8.0-24.i386.rpm gd-progs-2.0.28-5.4E.i386.rpm
gdbm-devel-1.8.0-24.i386.rpm gtk+-1.2.10-36.i386.rpm
gd-devel-2.0.28-5.4E.i386.rpm php-gd-4.3.9-3.22.4.i386.rpm

Here is what I got when I tried to "rpm -i" install the gdk-pixbuf

rpm -i gdk-pixbuf-0.22.0-17.el4.3.i386.rpm
error: Failed dependencies:
libgdk-1.2.so.0 is needed by gdk-pixbuf-0.22.0-17.el4.3.i386
libgtk-1.2.so.0 is needed by gdk-pixbuf-0.22.0-17.el4.3.i386
Suggested resolutions:
/home/buildcentos/CENTOS/en/4.0/i386/CentOS/RPMS/gtk+-1.2.10-36.i386.rpm

I then installed that gtk rpm, and I got the following issue:

rpm -i gtk+-1.2.10-36.i386.rpm
error: Failed dependencies:
gdk-pixbuf >= 0.18.0 is needed by gtk+-1.2.10-36.i386
Suggested resolutions:
/home/buildcentos/CENTOS/en/4.0/i386/CentOS/RPMS/gdk-pixbuf-0.22.0-17.el4.3.i386.rpm

So, I ran "yum install gdk-pixbuf", which then grabbed the gdk-pixbuf
and gtk+ packages.

Now, the only gd package that has a problem is php-gd (which I'm not
even sure is related)

rpm -i php-gd-4.3.9-3.22.4.i386.rpm
error: Failed dependencies:
php = 4.3.9-3.22.4 is needed by php-gd-4.3.9-3.22.4.i386
Suggested resolutions:
/home/buildcentos/CENTOS/en/4.0/i386/CentOS/RPMS/php-4.3.9-3.22.4.i386.rpm

Should I perhaps be looking in the direction of ldconfig to fix my problems?
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 12-01-2007, 06:27 PM
Rogelio
 
Default unstable libdg error when ./configure Perfparse on Nagios 2.x / CentOS 4.x

On 12/1/07, Garrick Staples <garrick@usc.edu> wrote:
> Aren't you on an x86_64 machine? Why are all these packages i386?
>
> Reinstalling packages never fixes anything (especially random, unrelated
> packages like gdbm and gtk). Just use yum to get the packages again and put
> your system back together again.

Someone else installed it (in a datacenter far away), and I don't
believe that they installed the 64 bit ver of CentOS. Do I need to
change something before this script will run?
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 12-01-2007, 09:04 PM
Rogelio
 
Default unstable libdg error when ./configure Perfparse on Nagios 2.x / CentOS 4.x

On 12/1/07, Garrick Staples <garrick@usc.edu> wrote:
> Your original email had a "lib64" path, implying that had a 64bit machine,
> which if you were manually installig 32bit packages would explain everything.

I'm sorry for the confusion. My original email was quoting the FAQ on
Perfparse's documentation, not reflecting my box's output

> 'uname -m' will tell you if have 32bit or 64bit OS. Don't guess.

uname -m -> i686 (as does /proc/cpuinfo).

> No, nothing special needs to be done other than having the correct devel
> packages installed. I suspect you've got things mucked up at this point.

I'm sorry, I'm confused. When I run "rpm -q", I get all i386 packages
(for everything on that box). The 64 bit stuff was not* installed.

The problems started occuring when another admin "yum remove" 'd gd
and gd-devel, which also removed all Nagios related stuff. I yum
installed Nagios, and when I went to configure, I got this libgd
unuseable error.

Before this snafu, my problem was related to make, not related to
configure. Now I've gotta fix this problem with configure before I
can go back and figure out what my problem was before.

As far as I know, this is a corrupt package issue, and I'm hoping that
there is fairly non-disrputive way of reinstalling everything required
for PerfParse.
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 12-02-2007, 10:04 PM
Rogelio
 
Default unstable libdg error when ./configure Perfparse on Nagios 2.x / CentOS 4.x

On 12/1/07, Garrick Staples <garrick@usc.edu> wrote:
> On Sat, Dec 01, 2007 at 02:04:29PM -0800, Rogelio alleged:
> > The problems started occuring when another admin "yum remove" 'd gd
> > and gd-devel, which also removed all Nagios related stuff. I yum
> > installed Nagios, and when I went to configure, I got this libgd
> > unuseable error.
> >
> > Before this snafu, my problem was related to make, not related to
> > configure. Now I've gotta fix this problem with configure before I
> > can go back and figure out what my problem was before.
> >
> > As far as I know, this is a corrupt package issue, and I'm hoping that
> > there is fairly non-disrputive way of reinstalling everything required
> > for PerfParse.
>
> config.log has the actual error that will tell us the problem.

After talking my problem over with several other CentOS ppl, I think
that my best solution is to just either (a) compile GD from scratch,
or (b) scrape box and redo (since it's not in production yet).

Anyone have any suggestions for (a)? Fortunately, I have my NagiosQL
mysql dump, so restoring all of my Nagios files will be really easy
once I rebuild it (which I can do in like 2 hours now).
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 12-03-2007, 05:20 AM
Rogelio
 
Default unstable libdg error when ./configure Perfparse on Nagios 2.x / CentOS 4.x

On 12/2/07, Garrick Staples <garrick@usc.edu> wrote:
> Rather than look at config.log? Have fun with that.

I looked at the config.log and didn't really know what I was looking
at since I'm fairly new to autotool-related errors. Since this has to
be in production fairly soon, I'm thinking of cutting my losses or
perhaps rebuilding from sourdce (I started another thread on the pros
and cons of that approach).

I showed this to other CentOS admins, and they suggested I cut my
losses and quickly rebuild.

Thanks for your help, Garrick!
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 05:00 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org